using System;
using System.Web;
using System.Data;

using CMS.Ecommerce;
using CMS.SettingsProvider;
using CMS.SiteProvider;
using CMS.GlobalHelper;

using Custom.CustomEventManager;

/// <summary>
/// Sample shopping cart info provider. 
/// Can be registered either by replacing the ShoppingCartInfoProvider.ProviderObject (uncomment the line in SampleECommerceModule.cs) or through cms.extensibility section of the web.config
/// </summary>
public class CustomShoppingCartInfoProvider : ShoppingCartInfoProvider
{
    #region "Example: Events as products"

    protected override void SetOrderInternal(ShoppingCartInfo cartObj, bool generateInvoice)
    {
        // Create an order from the shopping cart data
        base.SetOrderInternal(cartObj, generateInvoice);

        // Init event attendees from the shopping cart data
        CustomEventHelper.SetAttendees(cartObj);
    }

    #endregion
}